curl --request POST \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Stable",
"targetVersion": "latest"
}
'{
"data": {
"id": "rc_123",
"name": "Stable",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"apkSize": 72633861,
"selfHosted": false
},
"sharedOrganizations": [
{
"id": "org_789",
"name": "Example Org"
}
]
}
}{
"statusCode": 400,
"message": "App matching version identifier not found",
"error": "ManageXR Error"
}App Versions & Release Channels
Create Release Channel
Add a new release channel for an app and assign it an app version
POST
/
v1
/
apps
/
{packageName}
/
release-channels
curl --request POST \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Stable",
"targetVersion": "latest"
}
'{
"data": {
"id": "rc_123",
"name": "Stable",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"apkSize": 72633861,
"selfHosted": false
},
"sharedOrganizations": [
{
"id": "org_789",
"name": "Example Org"
}
]
}
}{
"statusCode": 400,
"message": "App matching version identifier not found",
"error": "ManageXR Error"
}Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
Response
The created release channel
Show child attributes
Show child attributes